
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Add missing pieces of thread info TIF_MEMDIE support (introduced in
2.6.11-rc3)

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m68k/processor.h   |    3 ++-
 25-akpm/include/asm-m68k/thread_info.h |    6 ++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

diff -puN include/asm-m68k/processor.h~m68k-add-missing-pieces-of-thread-info-tif_memdie-support include/asm-m68k/processor.h
--- 25/include/asm-m68k/processor.h~m68k-add-missing-pieces-of-thread-info-tif_memdie-support	2005-03-21 22:46:15.000000000 -0800
+++ 25-akpm/include/asm-m68k/processor.h	2005-03-21 22:46:15.000000000 -0800
@@ -62,7 +62,8 @@ struct task_work {
 	char          need_resched;
 	unsigned char delayed_trace;	/* single step a syscall */
 	unsigned char syscall_trace;	/* count of syscall interceptors */
-	unsigned char pad[3];
+	unsigned char memdie;		/* task was selected to be killed */
+	unsigned char pad[2];
 };
 
 struct thread_struct {
diff -puN include/asm-m68k/thread_info.h~m68k-add-missing-pieces-of-thread-info-tif_memdie-support include/asm-m68k/thread_info.h
--- 25/include/asm-m68k/thread_info.h~m68k-add-missing-pieces-of-thread-info-tif_memdie-support	2005-03-21 22:46:15.000000000 -0800
+++ 25-akpm/include/asm-m68k/thread_info.h	2005-03-21 22:46:15.000000000 -0800
@@ -68,6 +68,9 @@ extern int thread_flag_fixme(void);
 	case TIF_SYSCALL_TRACE:				\
 		tsk->thread.work.syscall_trace = val;	\
 		break;					\
+	case TIF_MEMDIE:				\
+		tsk->thread.work.memdie = val;		\
+		break;					\
 	default:					\
 		thread_flag_fixme();			\
 	}						\
@@ -85,6 +88,9 @@ extern int thread_flag_fixme(void);
 	case TIF_SYSCALL_TRACE:				\
 		___res = tsk->thread.work.syscall_trace;\
 		break;					\
+	case TIF_MEMDIE:				\
+		___res = tsk->thread.work.memdie;\
+		break;					\
 	default:					\
 		___res = thread_flag_fixme();		\
 	}						\
_
